// InputController_7296.h: interface for the CInputController_7296 class.
//
//////////////////////////////////////////////////////////////////////
#pragma once

#include "InputControllerBase.h"

class CAdlinkCommon;

class CInputController_7296 : public CInputControllerBase
{
public:
    CInputController_7296();
    virtual ~CInputController_7296();

    // method to initialise the input controller card
    int InitCard(int nHardwareIniTypeID, int nHardwareIniTypeCardNo, int* pPhysicalCardID) override;

    // method to close the input controller card
    int CloseCard(int nPhysicalCardID) override;

private:
    std::unique_ptr<CAdlinkCommon> m_pCommon;
};
